summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2019-09-02 12:59:25 +0200
committerAlexis Ballier <aballier@gentoo.org>2019-09-02 13:59:49 +0200
commitcb64c106f5144092a0808f9452fa9f8798ef6beb (patch)
tree99a5d162d894dd0e4c336fb11fc6d342b53c295a /media-video/ffmpeg
parentmedia-video/ffmpeg: Remove old (diff)
downloadgentoo-cb64c106f5144092a0808f9452fa9f8798ef6beb.tar.gz
gentoo-cb64c106f5144092a0808f9452fa9f8798ef6beb.tar.bz2
gentoo-cb64c106f5144092a0808f9452fa9f8798ef6beb.zip
media-video/ffmpeg: enable version3 for libaribb24.
Closes: https://bugs.gentoo.org/693216 Package-Manager: Portage-2.3.73, Repoman-2.3.17 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'media-video/ffmpeg')
-rw-r--r--media-video/ffmpeg/ffmpeg-4.2.ebuild5
-rw-r--r--media-video/ffmpeg/ffmpeg-9999.ebuild5
2 files changed, 10 insertions, 0 deletions
diff --git a/media-video/ffmpeg/ffmpeg-4.2.ebuild b/media-video/ffmpeg/ffmpeg-4.2.ebuild
index fd1cf7046f5..50796d37816 100644
--- a/media-video/ffmpeg/ffmpeg-4.2.ebuild
+++ b/media-video/ffmpeg/ffmpeg-4.2.ebuild
@@ -46,6 +46,10 @@ LICENSE="
gpl? ( GPL-3 )
!gpl? ( LGPL-3 )
)
+ libaribb24? (
+ gpl? ( GPL-3 )
+ !gpl? ( LGPL-3 )
+ )
encode? (
amrenc? (
gpl? ( GPL-3 )
@@ -364,6 +368,7 @@ multilib_src_configure() {
# Decoders
use amr && myconf+=( --enable-version3 )
use gmp && myconf+=( --enable-version3 )
+ use libaribb24 && myconf+=( --enable-version3 )
use fdk && use gpl && myconf+=( --enable-nonfree )
for i in "${ffuse[@]#+}" ; do
diff --git a/media-video/ffmpeg/ffmpeg-9999.ebuild b/media-video/ffmpeg/ffmpeg-9999.ebuild
index ac797b13647..6538d98057a 100644
--- a/media-video/ffmpeg/ffmpeg-9999.ebuild
+++ b/media-video/ffmpeg/ffmpeg-9999.ebuild
@@ -46,6 +46,10 @@ LICENSE="
gpl? ( GPL-3 )
!gpl? ( LGPL-3 )
)
+ libaribb24? (
+ gpl? ( GPL-3 )
+ !gpl? ( LGPL-3 )
+ )
encode? (
amrenc? (
gpl? ( GPL-3 )
@@ -364,6 +368,7 @@ multilib_src_configure() {
# Decoders
use amr && myconf+=( --enable-version3 )
use gmp && myconf+=( --enable-version3 )
+ use libaribb24 && myconf+=( --enable-version3 )
use fdk && use gpl && myconf+=( --enable-nonfree )
for i in "${ffuse[@]#+}" ; do